﻿Imports System.Text
Imports System.Data.Entity
Imports TreeDomainClasses
Imports System.Data.Entity.Infrastructure

  Public Class TreeContext
	  Inherits DbContext
Public Property Trees As DbSet(Of Tree)
Public Property Leaves As DbSet(Of Leaf)

  End Class
  Public Class InitializerForSeeding
	  Inherits DropCreateDatabaseAlways(Of TreeContext)
Protected Overrides Sub Seed(ByVal context As TreeContext)
  Dim tree = New Tree With {.Type = "Sugar Maple", .Notes = "Oh such a lovely tree", .Lat = 44.258, .Long = -72.956, .Photo = New TreePhoto With {.Photo = New Byte() { 0 }, .Caption="Pretty picture"}, .Leaves = New List(Of Leaf) From {
	  New Leaf With {.FellFromTreeColor="Orange", .FellFromTreeDate = New Date(2011,10,12,10,01,23)},
	  New Leaf With {.FellFromTreeColor="Yellow", .FellFromTreeDate = New Date(2011,10,12, 10, 08,31)}}}
  context.Trees.Add(tree)
  MyBase.Seed(context)
End Sub
  End Class
