@ModelType TreeDomainClasses.Tree

@Code
    ViewBag.Title = "Delete"
End Code

<h2>Delete</h2>

<h3>Are you sure you want to delete this?</h3>
<fieldset>
    <legend>Tree</legend>

    <div class="display-label">Type</div>
    <div class="display-field">@Model.Type</div>

    <div class="display-label">Lat</div>
    <div class="display-field">@String.Format("{0:F}", Model.Lat)</div>

    <div class="display-label">Long</div>
    <div class="display-field">@String.Format("{0:F}", Model.Long)</div>

    <div class="display-label">Notes</div>
    <div class="display-field">@Model.Notes</div>

    <div class="display-label">Leaves</div>
    <div class="display-field">@(If(Model.Leaves Is Nothing, "None", Model.Leaves.Count.ToString()))</div>
</fieldset>
@Code
  Using Html.BeginForm()  
End Code
    <p>
        <input type="submit" value="Delete" /> |
        @Html.ActionLink("Back to List", "Index")
    </p>
@Code
End Using
End Code



