@ModelType  TreeDomainClasses.Tree

@Code
    ViewBag.Title = "Details"
End Code

<h2>Details</h2>

<fieldset>
    <legend>Tree</legend>

    <div class="display-label">Type</div>
    <div class="display-field">@Model.Type</div>

    <div class="display-label">Lat</div>
    <div class="display-field">@String.Format("{0:F}", Model.Lat)</div>

    <div class="display-label">Long</div>
    <div class="display-field">@String.Format("{0:F}", Model.Long)</div>

    <div class="display-label">Notes</div>
    <div class="display-field">@Model.Notes</div>

    <div class="display-label">Leaves</div>
    <div class="display-field">@(If(Model.Leaves Is Nothing, "None", Model.Leaves.Count.ToString()))</div>
</fieldset>
<p>
    @Html.ActionLink("Edit", "Edit", New With {Key .id=Model.TreeId}) |
    @Html.ActionLink("Back to List", "Index")
</p>


