@ModelType IEnumerable(Of TreeDomainClasses.Tree)

@Code
    ViewBag.Title = "Index"
End Code

<h2>Index</h2>

<p>
    @Html.ActionLink("Create New", "Create")
</p>
<table>
    <tr>
        <th></th>
        <th>
            Type
        </th>
        <th>
            Lat
        </th>
        <th>
            Long
        </th>
        <th>
            Notes
        </th>
        <th>
            Leaves
        </th>
    </tr>
@Code
    For Each item As TreeDomainClasses.Tree In Model
End Code

    <tr>
        <td>
            @Html.ActionLink("Edit", "Edit", New With {.id = item.TreeId}) |
            @Html.ActionLink("Leaves", "..//Leaf//Index", New With {.treeId = item.TreeId}) |
            @Html.ActionLink("Delete", "Delete", New With {.id = item.TreeId})
        </td>
        <td>
			@item.Type
        </td>
        <td>
			@String.Format("{0:F}", item.Lat)
        </td>
        <td>
			@String.Format("{0:F}", item.Long)
        </td>
        <td>
			@item.Notes
        </td>
        <td>
			@(If(item.Leaves Is Nothing, "None", item.Leaves.Count.ToString()))
        </td>
    </tr>
@Code
    Next item
End Code

</table>


